File Management
Upload and manage elemental files and images
Upload images, documents, and other files to enhance your elementals.
Retrieves a specific file attached to an elemental.
API Key authentication. Get your key at snackprompt.com/api-keys.
Example: x-api-key: sk-your-api-key-here
Elemental ID
File ID
File data
HTTP status code
200Invalid file ID parameter
Unauthorized
Access forbidden
File not found
curl -X GET "https://api-integrations.snackprompt.com/v1/elemental/abc123/file/1" \
-H "x-api-key: YOUR_API_KEY"
{
"code": 200,
"meta": {
"version": "v1.0.2",
"is_authenticaded": true,
"limit": 1,
"offset": 1,
"total": 1
},
"response": {
"id": 1,
"name": "text",
"size": 1,
"created_at": "2026-01-01T00:00:00.000Z",
"url": "text",
"data": [
1
]
}
}API Key authentication. Get your key at snackprompt.com/api-keys.
Example: x-api-key: sk-your-api-key-here
Files uploaded successfully
No content
Forbidden:
- You can send a maximum of 3 files at a time
- You can only add 15 files total
- You can only have 4 images and 4 cover images
curl -X POST "https://api-integrations.snackprompt.com/v1/user/elemental/abc123/files" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"images": [{
"file_name": "screenshot.png",
"file_buffer": {"type": "Buffer", "data": []}
}]
}'
No content
Deletes specific files from an elemental by their IDs.
API Key authentication. Get your key at snackprompt.com/api-keys.
Example: x-api-key: sk-your-api-key-here
Files deleted successfully
No content
curl -X DELETE "https://api-integrations.snackprompt.com/v1/user/elemental/abc123/files" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"images": [1, 2]}'
Files deleted successfully
No content
Last updated